org.jboss.logging.annotations

## Annotation Type Field

    @Retention(value=CLASS)
    @Target(value=PARAMETER)
    @Documented
    public @interface Field

Indicate that a method parameter value should be applied to a field on the resultant exception object.

Author:
  David M. Lloyd

### Optional Element Summary

Optional Elements
`String` `name` The field name.

### Element Detail

#### name

    public abstract String name

The field name. If not specified, the parameter name is assumed to be the field name.

Returns:
  the field name

Default:
  ""